Upstream information

CVE-2022-39176 at MITRE

Description

BlueZ before 5.59 allows physically proximate attackers to obtain sensitive information because profiles/audio/avrcp.c does not validate params_len.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 7.3
Vector CVSS:3.1/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:A/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H
Attack Vector Adjacent Network Adjacent Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1203121 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • bluez >= 5.48-150000.5.46.1
  • bluez-devel >= 5.48-150000.5.46.1
  • libbluetooth3 >= 5.48-150000.5.46.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2023-155
SUSE Enterprise Storage 6
  • bluez >= 5.48-150000.5.46.1
  • bluez-devel >= 5.48-150000.5.46.1
  • libbluetooth3 >= 5.48-150000.5.46.1
Patchnames:
SUSE-Storage-6-2023-155
SUSE Enterprise Storage 7.1
  • bluez >= 5.55-150300.3.19.1
  • bluez-deprecated >= 5.55-150300.3.19.1
  • bluez-devel >= 5.55-150300.3.19.1
  • libbluetooth3 >= 5.55-150300.3.19.1
Patchnames:
SUSE-Storage-7.1-2023-168
SUSE Enterprise Storage 7
  • bluez >= 5.48-150200.13.22.1
  • bluez-devel >= 5.48-150200.13.22.1
  • libbluetooth3 >= 5.48-150200.13.22.1
Patchnames:
SUSE-Storage-7-2023-156
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • bluez >= 5.48-150000.5.46.1
  • bluez-devel >= 5.48-150000.5.46.1
  • libbluetooth3 >= 5.48-150000.5.46.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2023-155
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • bluez >= 5.48-150200.13.22.1
  • bluez-devel >= 5.48-150200.13.22.1
  • libbluetooth3 >= 5.48-150200.13.22.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-156
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • bluez >= 5.55-150300.3.19.1
  • bluez-deprecated >= 5.55-150300.3.19.1
  • bluez-devel >= 5.55-150300.3.19.1
  • libbluetooth3 >= 5.55-150300.3.19.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-168
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • bluez >= 5.55-150300.3.19.1
  • bluez-deprecated >= 5.55-150300.3.19.1
  • bluez-devel >= 5.55-150300.3.19.1
  • libbluetooth3 >= 5.55-150300.3.19.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-168
SUSE Linux Enterprise Real Time 15 SP3
  • bluez >= 5.55-150300.3.19.1
  • bluez-deprecated >= 5.55-150300.3.19.1
  • bluez-devel >= 5.55-150300.3.19.1
  • libbluetooth3 >= 5.55-150300.3.19.1
Patchnames:
SUSE-SLE-Product-RT-15-SP3-2023-168
SUSE Linux Enterprise Server 12 SP2-BCL
  • bluez >= 5.13-5.36.1
  • libbluetooth3 >= 5.13-5.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2023-166
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • bluez >= 5.13-5.36.1
  • libbluetooth3 >= 5.13-5.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2023-166
SUSE Linux Enterprise Server 12 SP4-LTSS
  • bluez >= 5.13-5.36.1
  • libbluetooth3 >= 5.13-5.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2023-166
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • bluez >= 5.13-5.36.1
  • bluez-cups >= 5.13-5.36.1
  • bluez-devel >= 5.13-5.36.1
  • libbluetooth3 >= 5.13-5.36.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2023-166
SUSE-SLE-SERVER-12-SP5-2023-166
SUSE-SLE-WE-12-SP5-2023-166
SUSE Linux Enterprise Server 15 SP1-LTSS
  • bluez >= 5.48-150000.5.46.1
  • bluez-devel >= 5.48-150000.5.46.1
  • libbluetooth3 >= 5.48-150000.5.46.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2023-155
SUSE Linux Enterprise Server 15 SP2-LTSS
  • bluez >= 5.48-150200.13.22.1
  • bluez-devel >= 5.48-150200.13.22.1
  • libbluetooth3 >= 5.48-150200.13.22.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-156
SUSE Linux Enterprise Server 15 SP3-LTSS
  • bluez >= 5.55-150300.3.19.1
  • bluez-deprecated >= 5.55-150300.3.19.1
  • bluez-devel >= 5.55-150300.3.19.1
  • libbluetooth3 >= 5.55-150300.3.19.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-168
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • bluez >= 5.13-5.36.1
  • libbluetooth3 >= 5.13-5.36.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2023-166
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • bluez >= 5.48-150000.5.46.1
  • bluez-devel >= 5.48-150000.5.46.1
  • libbluetooth3 >= 5.48-150000.5.46.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2023-155
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • bluez >= 5.48-150200.13.22.1
  • bluez-devel >= 5.48-150200.13.22.1
  • libbluetooth3 >= 5.48-150200.13.22.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-156
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • bluez >= 5.55-150300.3.19.1
  • bluez-deprecated >= 5.55-150300.3.19.1
  • bluez-devel >= 5.55-150300.3.19.1
  • libbluetooth3 >= 5.55-150300.3.19.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-168
SUSE Linux Enterprise Software Development Kit 12 SP5
  • bluez-devel >= 5.13-5.36.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2023-166
SUSE Linux Enterprise Workstation Extension 12 SP5
  • bluez-cups >= 5.13-5.36.1
Patchnames:
SUSE-SLE-WE-12-SP5-2023-166
SUSE Manager Proxy 4.2
  • bluez >= 5.55-150300.3.19.1
  • bluez-deprecated >= 5.55-150300.3.19.1
  • libbluetooth3 >= 5.55-150300.3.19.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2023-168
SUSE Manager Retail Branch Server 4.2
  • bluez >= 5.55-150300.3.19.1
  • bluez-deprecated >= 5.55-150300.3.19.1
  • libbluetooth3 >= 5.55-150300.3.19.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.2-2023-168
SUSE Manager Server 4.2
  • bluez >= 5.55-150300.3.19.1
  • bluez-deprecated >= 5.55-150300.3.19.1
  • libbluetooth3 >= 5.55-150300.3.19.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.2-2023-168
SUSE OpenStack Cloud 9
  • bluez >= 5.13-5.36.1
  • libbluetooth3 >= 5.13-5.36.1
Patchnames:
SUSE-OpenStack-Cloud-9-2023-166
SUSE OpenStack Cloud Crowbar 9
  • bluez >= 5.13-5.36.1
  • libbluetooth3 >= 5.13-5.36.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2023-166


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 bluez Released
SUSE Linux Enterprise Desktop 15 SP5 bluez Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 bluez Released
SUSE Linux Enterprise High Performance Computing 15 SP5 bluez Affected
SUSE Linux Enterprise Micro 5.3 bluez Already fixed
SUSE Linux Enterprise Micro 5.4 bluez Already fixed
SUSE Linux Enterprise Micro 5.5 bluez Affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 bluez Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 bluez Affected
SUSE Linux Enterprise Real Time 15 SP3 bluez Released
SUSE Linux Enterprise Server 12 SP5 bluez Released
SUSE Linux Enterprise Server 15 SP5 bluez Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 bluez Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 bluez Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP5 bluez Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 bluez Released
SUSE Linux Enterprise Workstation Extension 12 SP5 bluez Released
SUSE Linux Enterprise Workstation Extension 15 SP5 bluez Affected
SUSE Manager Proxy 4.3 bluez Already fixed
SUSE Manager Retail Branch Server 4.3 bluez Already fixed
SUSE Manager Server 4.3 bluez Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 bluez Already fixed
SUSE Linux Enterprise High Performance Computing 15 bluez Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 bluez Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS bluez Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS bluez Released
SUSE Linux Enterprise High Performance Computing 15 SP2 bluez Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS bluez Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS bluez Released
SUSE Linux Enterprise High Performance Computing 15 SP3 bluez Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS bluez Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS bluez Released
SUSE Linux Enterprise High Performance Computing 15 SP4 bluez Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS bluez Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS bluez Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS bluez Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS bluez Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP2 bluez Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 bluez Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP4 bluez Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 bluez Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 bluez Unsupported
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 bluez Already fixed
SUSE Linux Enterprise Server 12 SP2-BCL bluez Released
SUSE Linux Enterprise Server 15 SP2 bluez Affected
SUSE Linux Enterprise Server 15 SP2-LTSS bluez Released
SUSE Linux Enterprise Server 15 SP3 bluez Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS bluez Released
SUSE Linux Enterprise Server 15 SP4 bluez Already fixed
SUSE Linux Enterprise Server 15 SP4-LTSS bluez Already fixed
SUSE Linux Enterprise Server 15-ESPOS bluez Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 bluez Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 bluez Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 bluez Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 bluez Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP1 bluez Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 bluez Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 bluez Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 bluez Affected
SUSE CaaS Platform 4.0 bluez Released
SUSE Enterprise Storage 6 bluez Released
SUSE Enterprise Storage 7 bluez Released
SUSE Linux Enterprise Desktop 11 SP4 bluez Ignore
SUSE Linux Enterprise Desktop 12 SP2 bluez Affected
SUSE Linux Enterprise Desktop 12 SP3 bluez Affected
SUSE Linux Enterprise Desktop 12 SP4 bluez Affected
SUSE Linux Enterprise Desktop 15 bluez Affected
SUSE Linux Enterprise Desktop 15 SP1 bluez Affected
SUSE Linux Enterprise Desktop 15 SP2 bluez Affected
SUSE Linux Enterprise Desktop 15 SP3 bluez Unsupported
SUSE Linux Enterprise Micro 5.0 bluez Affected
SUSE Linux Enterprise Module for Basesystem 15 bluez Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 bluez Affected
SUSE Linux Enterprise Module for Desktop Applications 15 bluez Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 bluez Affected
SUSE Linux Enterprise Real Time 15 SP2 bluez Affected
SUSE Linux Enterprise Real Time 15 SP4 bluez Already fixed
SUSE Linux Enterprise Server 11 SP3 bluez Affected
SUSE Linux Enterprise Server 11 SP3-LTSS bluez Affected
SUSE Linux Enterprise Server 11 SP4 bluez Ignore
SUSE Linux Enterprise Server 11 SP4-LTSS bluez Ignore
SUSE Linux Enterprise Server 12 SP2 bluez Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS bluez Affected
SUSE Linux Enterprise Server 12 SP2-LTSS bluez Affected
SUSE Linux Enterprise Server 12 SP3 bluez Affected
SUSE Linux Enterprise Server 12 SP3-BCL bluez Unsupported
SUSE Linux Enterprise Server 12 SP3-ESPOS bluez Affected
SUSE Linux Enterprise Server 12 SP3-LTSS bluez Affected
SUSE Linux Enterprise Server 12 SP4 bluez Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS bluez Released
SUSE Linux Enterprise Server 12 SP4-LTSS bluez Released
SUSE Linux Enterprise Server 15 bluez Affected
SUSE Linux Enterprise Server 15 SP1 bluez Affected
SUSE Linux Enterprise Server 15 SP1-BCL bluez Affected
SUSE Linux Enterprise Server 15 SP1-LTSS bluez Released
SUSE Linux Enterprise Server 15 SP2-BCL bluez Affected
SUSE Linux Enterprise Server 15 SP3-BCL bluez Affected
SUSE Linux Enterprise Server 15-LTSS bluez Unsupported
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 bluez Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 bluez Ignore
SUSE Linux Enterprise Server for SAP Applications 12 SP2 bluez Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 bluez Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 bluez Released
SUSE Linux Enterprise Software Development Kit 11 SP4 bluez Ignore
SUSE Linux Enterprise Software Development Kit 12 SP2 bluez Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 bluez Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 bluez Affected
SUSE Linux Enterprise Workstation Extension 12 SP2 bluez Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 bluez Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 bluez Affected
SUSE Linux Enterprise Workstation Extension 15 bluez Affected
SUSE Linux Enterprise Workstation Extension 15 SP1 bluez Affected
SUSE Linux Enterprise Workstation Extension 15 SP2 bluez Affected
SUSE Linux Enterprise Workstation Extension 15 SP3 bluez Unsupported
SUSE Linux Enterprise Workstation Extension 15 SP4 bluez Already fixed
SUSE Manager Proxy 4.0 bluez Affected
SUSE Manager Proxy 4.1 bluez Unsupported
SUSE Manager Proxy 4.2 bluez Released
SUSE Manager Retail Branch Server 4.0 bluez Affected
SUSE Manager Retail Branch Server 4.1 bluez Unsupported
SUSE Manager Retail Branch Server 4.2 bluez Released
SUSE Manager Server 4.0 bluez Affected
SUSE Manager Server 4.1 bluez Unsupported
SUSE Manager Server 4.2 bluez Released
SUSE OpenStack Cloud 7 bluez Affected
SUSE OpenStack Cloud 8 bluez Affected
SUSE OpenStack Cloud 9 bluez Released
SUSE OpenStack Cloud Crowbar 8 bluez Affected
SUSE OpenStack Cloud Crowbar 9 bluez Released
openSUSE Leap 15.3 bluez Released
Products at an unknown state of their lifecycle.
SUSE Linux Enterprise Desktop 15 SP4-LTSS bluez Already fixed


SUSE Timeline for this CVE

CVE page created: Fri Sep 2 10:03:29 2022
CVE page last modified: Thu Feb 1 01:44:09 2024